AbstractFullBinding (Groovy 3.0.9)

Package org.codehaus.groovy.binding

## Class AbstractFullBinding

- java.lang.Object
- - org.codehaus.groovy.binding.AbstractFullBinding

- All Implemented Interfaces:
    `BindingUpdatable`, `FullBinding`
  Direct Known Subclasses:
    `PropertyPathFullBinding`

      @Deprecated
      public abstract class AbstractFullBinding
      extends Object
      implements FullBinding

  Deprecated.
  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Closure` | `converter` | Deprecated.
    `protected Closure` | `reverseConverter` | Deprecated.
    `protected SourceBinding` | `sourceBinding` | Deprecated.
    `protected TargetBinding` | `targetBinding` | Deprecated.
    `protected Closure` | `validator` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFullBinding()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Closure` | `getConverter()` | Deprecated.
    `Closure` | `getReverseConverter()` | Deprecated.
    `SourceBinding` | `getSourceBinding()` | Deprecated.
    `TargetBinding` | `getTargetBinding()` | Deprecated.
    `Closure` | `getValidator()` | Deprecated.
    `void` | `reverseUpdate()` | Deprecated. If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `void` | `setConverter​(Closure converter)` | Deprecated.
    `void` | `setReverseConverter​(Closure reverseConverter)` | Deprecated.
    `void` | `setSourceBinding​(SourceBinding sourceBinding)` | Deprecated.
    `void` | `setTargetBinding​(TargetBinding targetBinding)` | Deprecated.
    `void` | `setValidator​(Closure validator)` | Deprecated.
    `void` | `update()` | Deprecated. Causes the values to be propagated from the source to the target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.binding.BindingUpdatable

      `bind, rebind, unbind`

- - ### Field Detail

    - #### sourceBinding

          protected SourceBinding sourceBinding

      Deprecated.

    - #### targetBinding

          protected TargetBinding targetBinding

      Deprecated.

    - #### validator

          protected Closure validator

      Deprecated.

    - #### converter

          protected Closure converter

      Deprecated.

    - #### reverseConverter

          protected Closure reverseConverter

      Deprecated.

  - ### Constructor Detail

    - #### AbstractFullBinding

          public AbstractFullBinding()

      Deprecated.

  - ### Method Detail

    - #### update

          public void update()

      Deprecated.
      Description copied from interface: `BindingUpdatable`
      Causes the values to be propagated from the source to the target
      Specified by:
        `update` in interface `BindingUpdatable`

    - #### reverseUpdate

          public void reverseUpdate()

      Deprecated.
      Description copied from interface: `BindingUpdatable`
      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
      Specified by:
        `reverseUpdate` in interface `BindingUpdatable`

    - #### getSourceBinding

          public SourceBinding getSourceBinding()

      Deprecated.
      Specified by:
        `getSourceBinding` in interface `FullBinding`

    - #### setSourceBinding

          public void setSourceBinding​(SourceBinding sourceBinding)

      Deprecated.
      Specified by:
        `setSourceBinding` in interface `FullBinding`

    - #### getTargetBinding

          public TargetBinding getTargetBinding()

      Deprecated.
      Specified by:
        `getTargetBinding` in interface `FullBinding`

    - #### setTargetBinding

          public void setTargetBinding​(TargetBinding targetBinding)

      Deprecated.
      Specified by:
        `setTargetBinding` in interface `FullBinding`

    - #### getValidator

          public Closure getValidator()

      Deprecated.
      Specified by:
        `getValidator` in interface `FullBinding`

    - #### setValidator

          public void setValidator​(Closure validator)

      Deprecated.
      Specified by:
        `setValidator` in interface `FullBinding`

    - #### getConverter

          public Closure getConverter()

      Deprecated.
      Specified by:
        `getConverter` in interface `FullBinding`

    - #### setConverter

          public void setConverter​(Closure converter)

      Deprecated.
      Specified by:
        `setConverter` in interface `FullBinding`

    - #### getReverseConverter

          public Closure getReverseConverter()

      Deprecated.
      Specified by:
        `getReverseConverter` in interface `FullBinding`

    - #### setReverseConverter

          public void setReverseConverter​(Closure reverseConverter)

      Deprecated.
      Specified by:
        `setReverseConverter` in interface `FullBinding`